/* 
 * $RCSfile: idmap_internal.h,v $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 *
 *
 * $Log: idmap_internal.h,v $
 * Revision 1.7.2.1  1994/06/08  23:14:06  davidm
 * External ID is stored contiguously with the rest of the mapElement
 *
 */

#define	GETMAPELEM(map, elem) \
{ \
    (elem) = (map)->freelist; \
    if (!(elem)) { \
	(elem) = \
	  (MapElement*) xMalloc((sizeof(MapElement) + (map)->keySize) - 1); \
    } else { \
        (map)->freelist = (elem)->next; \
    } /* if */ \
}

#define	GETVARMAPELEM(map, elem, size) \
{ \
    (elem) = (map)->freelist; \
    if (!elem) { \
        elem = (MapElement*) xMalloc(sizeof(MapElement) + size - 1); \
    } else { \
        (map)->freelist = (elem)->next; \
    } /* if */ \
}

#define	FREEVARMAPELEM(map, elem)        xFree((char *)elem)

#define	FREEIT(map, elem) { \
    (elem)->next = (map)->freelist; \
    (map)->freelist = (elem); \
}
